xmlutils.h File Reference

Various classes and routines for XML manipulation, some taken or modified from the libxml++ library. The libxml2 library is used to do most of the underlying work. More...

`#include <map>`
`#include <string>`
`#include <sstream>`
`#include <libxml/parser.h>`
`#include "regina-core.h"`
`#include "utilities/nbooleans.h"`

## Classes

class | regina::xml::XMLPropertyDict
| Represents a map from property names to property values. More...
class | regina::xml::XMLParserCallback
| Provides the callbacks for an XMLParser. More...
class | regina::xml::XMLParser
| Used to parse an entire XML file. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.
| regina::xml
| Various classes and routines for XML manipulation, some taken or modified from the libxml++ library.

## Functions

REGINA_API std::string | regina::xml::xmlEncodeSpecialChars (const std::string &original)
| Returns the given string with special characters converted to XML entities. More...
REGINA_API std::string | regina::xml::xmlEncodeComment (const std::string &comment)
| Returns the given string encoded so it is suitable for use inside an XML comment. More...
template<class T >
std::string | regina::xml::xmlValueTag (const std::string &tagName, const T &value)
| Returns an XML tag with a single property containing the given value. More...

## Detailed Description

Various classes and routines for XML manipulation, some taken or modified from the libxml++ library. The libxml2 library is used to do most of the underlying work.

The libxml++ library is copyright (C) 2000 by Ari Johnson, and is covered by the GNU Lesser General Public License.

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).